import { test, expect } from '@playwright/test';
import { LoginPage } from '../../../page-objects/LoginPage';
import { users } from '../../../utils/test-data'; // ✅ импорт test-data

test.describe('Авторизация пользователя', () => {

  test('Пользователь должен успешно залогиниться с валидными данными', async ({ page }) => {
    const loginPage = new LoginPage(page);

    // ✅ используем test-data
    const userEmail = users.valid.email;
    const userPassword = users.valid.password;

    await loginPage.goto();
    await loginPage.login(userEmail, userPassword);

    await expect(page).toHaveURL('/');

    const welcomeHeader = page.locator('#top').getByText('Всероссийская научная конференция "Системный синтез и прикладная синергетика"');
    await expect(welcomeHeader).toBeVisible({ timeout: 10000 });
  });

});
